
Name:           transmission
Version:        0.82
Release:        1%{?dist}
Summary:        A lightweight GTK+ BitTorrent client

Group:          Applications/Internet
License:        MIT
URL:            http://transmission.m0k.org/
Source0:        http://download.m0k.org/transmission/files/transmission-%{version}.tar.gz
Patch0:         transmission-0.71-manpath.patch
Patch1:         transmission-0.81-downloaddir.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  openssl-devel
BuildRequires:  gtk2-devel >= 2.6.0
BuildRequires:  desktop-file-utils
BuildRequires:  gettext intltool
BuildRequires:  libevent-devel


%description
Transmission is a free, lightweight BitTorrent client. It features a
simple, intuitive interface on top on an efficient, cross-platform
back-end.


%prep
%setup -q -c
%patch0 -p1 -b .manpath
%patch1 -p0 -b .dwnldir


%build
%configure
make %{?_smp_mflags} CC=%{__cc}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
%find_lang %{name}-gtk

desktop-file-install --vendor fedora \
        --delete-original \
        --dir $RPM_BUILD_ROOT/%{_datadir}/applications/ \
        $RPM_BUILD_ROOT/%{_datadir}/applications/%{name}-gtk.desktop


%clean
rm -rf $RPM_BUILD_ROOT


%post
update-desktop-database > /dev/null 2>&1 || :


%postun
update-desktop-database > /dev/null 2>&1 || :


%files -f %{name}-gtk.lang
%defattr(-, root, root, -)
%doc AUTHORS LICENSE NEWS README
%{_bindir}/transmission*
%{_datadir}/pixmaps/*
%{_datadir}/zsh/site-functions/*
%{_datadir}/applications/*transmission-gtk.desktop
%doc %{_mandir}/man1/transmission*


%changelog
* Wed Sep 12 2007 Denis Leroy <denis@poolshark.org> - 0.82-1
- Update to upstream 0.82, many bug fixes
- Added patch to support default user download directory (Bastien Nocera)

* Sat Aug 25 2007 - Bastien Nocera <bnocera@redhat.com> - 0.81-1
- Update to upstream 0.81
- Add work-around for busted tarball without a sub-directory

* Thu Aug 16 2007 Denis Leroy <denis@poolshark.org> - 0.80-1
- Update to upstream 0.80

* Wed May  2 2007 Denis Leroy <denis@poolshark.org> - 0.72-1
- Update to 0.72
- Added libevent BR

* Wed Apr 25 2007 Denis Leroy <denis@poolshark.org> - 0.71-1
- Update to 0.71
- Removed custom desktop file
- Added patch to fix manpath

* Thu Sep 28 2006 Denis Leroy <denis@poolshark.org> - 0.6.1-3
- Added project icon
- Honor cc variable

* Mon Sep 25 2006 Denis Leroy <denis@poolshark.org> - 0.6.1-2
- Removed ldconfig Requires

* Wed Sep 13 2006 Denis Leroy <denis@poolshark.org> - 0.6.1-1
- First version

